#sha.properties

#---------------------------------------------------------------------
#Coprocessor configuration information
#---------------------------------------------------------------------
copr.adapter=TINIExternalAdapter
copr.port=serial1

#name of the TMEX file containing coprocessor configuration info.
#defaults to "COPR.0"
#copr.filename=COPR.0

#Hardcode the address of the coprocessor, family code first.
copr.address=1888b805000000B1

#---------------------------------------------------------------------
#Options for a simulated Coprocessor
#---------------------------------------------------------------------
#Should we simulate a coprocessor?
copr.simulated.isSimulated=true

#What filename do we load/save it's data to?
copr.simulated.filename=sha_copr.dat

#Is it safe to save secret data to that file?
copr.simulated.saveSecrets=true

#Address to use for simulated coprocessor
copr.simulated.address=1888b805000000B1

#---------------------------------------------------------------------
#User configuration information
#---------------------------------------------------------------------
user.adapter=TINIExternalAdapter
user.port=serial1

#---------------------------------------------------------------------
#Transaction configuration information
#---------------------------------------------------------------------
#List of the familyCodes supported for user devices. DS1961S=33,
#DS1963S=18. should be single-byte hex numbers, separated by commas.
transaction.familyCodes=18,33

#This option specifies what type of transaction you'll be performing
#with the DS1963S user buttons.
#options={Unsigned,Signed}
transaction.type=signed

#---------------------------------------------------------------------
#DS1961S Compatibility options
#---------------------------------------------------------------------
#DS1961S has copy-protection, through the generation of the write
#authorization mac.  Do we still need to sign the account data?  If
#so, set the transaction type to UnsignedDebit.
#options={Unsigned,Signed}
ds1961s.transaction.type=unsigned

#address of the Coprocessor used to generate the write authorization MAC.
#Leave blank to re-use the standard coprocessor.  Do note that if you're
#performing signed transactions, you'll need a second coprocessor for
#computing the write authorization MAC, as this replaces the secret stored
#in secret zero, thereby destroying the signing secret.
ds1961s.copr.address=18B7AB02000000CC

#If you didn't hardcode the value of the write-authorization coprocessor's
#address, then give the name of the TMEX file containing the coprocessor
#configuration info.  This can (and should) be different than the standard
#coprocessor's filename.
#defaults to "COPR.1"
ds1961s.copr.filename=COPR.1

#if you're not re-using the standard Coprocessor, I need to know where
#I can find the one that you are using.
ds1961s.copr.adapter=TINIExternalAdapter
ds1961s.copr.port=serial1
